POST api/v1/children

Request Information

URI Parameters

None.

Body Parameters

CreateChildRequest
NameDescriptionTypeAdditional information
FirstName

string

None.

LastName

string

None.

BirthDate

date

None.

Gender

byte

None.

Request Formats

application/json, text/json

Sample:
{
  "firstName": "sample string 1",
  "lastName": "sample string 2",
  "birthDate": "2026-04-18T15:02:15.411587+03:00",
  "gender": 64
}

application/xml, text/xml

Sample:
<ChildrenController.CreateChildRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/API.Controllers">
  <BirthDate>2026-04-18T15:02:15.411587+03:00</BirthDate>
  <FirstName>sample string 1</FirstName>
  <Gender>64</Gender>
  <LastName>sample string 2</LastName>
</ChildrenController.CreateChildRequest>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml

Sample:

Sample not available.